net.i2p.router

## Class RouterVersion

- java.lang.Object
- - net.i2p.router.RouterVersion

    public class RouterVersion
    extends Object

Expose a version string

### Field Summary

Fields
`static long` `BUILD`
`static String` `EXTRA` for example "-test"
`static String` `FULL_VERSION`
`static String` `ID` deprecated
`static String` `VERSION`

### Constructor Summary

Constructors
Constructor and Description
`RouterVersion()`

### Method Summary

Methods
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

deprecated

See Also:
  Constant Field Values

#### VERSION

    public static final String VERSION

See Also:
  Constant Field Values

#### BUILD

    public static final long BUILD

See Also:
  Constant Field Values

#### EXTRA

    public static final String EXTRA

for example "-test"

See Also:
  Constant Field Values

#### FULL_VERSION

    public static final String FULL_VERSION

See Also:
  Constant Field Values

### Constructor Detail

#### RouterVersion

    public RouterVersion()

### Method Detail

#### main

    public static void main(String[] args)